Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456218 - kernel: serial open/close loop disables irq [rhel-5.3]
Summary: kernel: serial open/close loop disables irq [rhel-5.3]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Eugene Teo (Security Response)
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-22 09:51 UTC by Eugene Teo (Security Response)
Modified: 2009-01-20 20:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:22:39 UTC
Target Upstream Version:


Attachments (Terms of Use)
Upstream patch for this issue (deleted)
2008-07-22 09:55 UTC, Eugene Teo (Security Response)
no flags Details | Diff
Proposed backported patch (deleted)
2008-07-22 09:59 UTC, Eugene Teo (Security Response)
no flags Details | Diff
Reproducer (deleted)
2008-07-22 10:00 UTC, Eugene Teo (Security Response)
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Eugene Teo (Security Response) 2008-07-22 09:51:49 UTC
A Debian user reported that a simple program that repeatedly opens and closes a
serial device will eventually cause an irq line to be disabled.

References:
http://bugzilla.kernel.org/show_bug.cgi?id=7750
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=404815

Comment 2 Eugene Teo (Security Response) 2008-07-22 09:55:50 UTC
Created attachment 312322 [details]
Upstream patch for this issue

Comment 3 Eugene Teo (Security Response) 2008-07-22 09:59:10 UTC
Created attachment 312323 [details]
Proposed backported patch

Comment 4 Eugene Teo (Security Response) 2008-07-22 10:00:13 UTC
Created attachment 312324 [details]
Reproducer

Source: http://bugzilla.kernel.org/attachment.cgi?id=9958&action=view

Comment 5 Eugene Teo (Security Response) 2008-07-22 10:09:14 UTC
The bug is reported to be reproducible if the kernel is compiled with
CONFIG_PREEMPT_NONE=y. I have tested this on rhel-4, and rhel-5, but without
success. On rhel-5, the kernel is compiled with CONFIG_PREEMPT_VOLUNTARY=y, and
/dev/ttyS* are not accessible to local unprivileged users (unless you are in
uucp group for /dev/ttyS[1-3]). Let's get it fixed anyway.

Comment 7 RHEL Product and Program Management 2008-07-22 13:31:48 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 Don Zickus 2008-07-25 20:26:56 UTC
in kernel-2.6.18-100.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 12 errata-xmlrpc 2009-01-20 20:22:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.